package ru.dbotthepony.kstarbound.defs.monster

import com.google.common.collect.ImmutableMap
import com.google.gson.JsonElement
import ru.dbotthepony.kstarbound.defs.image.SpriteReference
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class MonsterSkillDefinition(
	val name: String,
	val label: String? = null,
	val image: SpriteReference? = null,
	val config: ImmutableMap<String, JsonElement> = ImmutableMap.of(),
	val animationParameters: ImmutableMap<String, JsonElement> = ImmutableMap.of(),
)
